summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin269245 -> 269280 bytes
-rw-r--r--dev-python/dict2xml/Manifest2
-rw-r--r--dev-python/dict2xml/dict2xml-1.7.4.ebuild23
-rw-r--r--dev-python/google-api-python-client/Manifest2
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.114.0.ebuild49
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.94.0.ebuild90
-rw-r--r--dev-python/ipykernel/Manifest2
-rw-r--r--dev-python/ipykernel/ipykernel-6.29.0.ebuild78
-rw-r--r--dev-python/jsonschema/Manifest2
-rw-r--r--dev-python/jsonschema/jsonschema-4.21.0.ebuild57
-rw-r--r--dev-python/jupyter-server/Manifest2
-rw-r--r--dev-python/jupyter-server/jupyter-server-2.12.5.ebuild76
-rw-r--r--dev-python/nbconvert/Manifest2
-rw-r--r--dev-python/nbconvert/nbconvert-7.14.2.ebuild74
-rw-r--r--dev-python/sphinxcontrib-apidoc/Manifest2
-rw-r--r--dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.5.0.ebuild41
17 files changed, 504 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 12ec938c0db1..867efc9ade9b 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/dict2xml/Manifest b/dev-python/dict2xml/Manifest
index 7d0c99778c2e..0a69cf60a5d0 100644
--- a/dev-python/dict2xml/Manifest
+++ b/dev-python/dict2xml/Manifest
@@ -1,3 +1,5 @@
DIST dict2xml-1.7.3.tar.gz 14240 BLAKE2B b28343f2cfeb59a91011bb158ffe7db008f19be1576293e6b07c3b49e07f3871761c8a3a32c214bf0608602487e2e7110c7f2a2f31a7dbf44a441f44ca7f568b SHA512 631415e425688c612c15b72fc339db33977df32eb25f7f8f03a63e5115c8e06f4aa5b247ded3e16cddbb9b16597aeb0ef218f193c5f4c44ebdcd7e39c2052ed2
+DIST dict2xml-1.7.4.tar.gz 14333 BLAKE2B 9d1a5180d6cffed171aa973902d6e88190b8bd90cd9e4d86744b5c074d82e45c7571763aa9cca67d190cf7af1b1fdd155cbff906a44a638dcb3a7033f1be86ba SHA512 13a2b34783e5f6414c173059ba16a2061ecaef41355b7b0099546d704c9c28b1e0f9ea3186d4b0db99083e66a2f22e69e57a4a415b72c00fd1e17bcb435e7462
EBUILD dict2xml-1.7.3.ebuild 540 BLAKE2B 15b652526fc057c2055fb25d0d6914a7ba4b42a9cec5fb2627627bcd69de973f0b374f64d4a1de06ca05ad03bb547cb524c8a5ac2d1cbe67810862b7a7e27a56 SHA512 c1d896e9b10f7dc8c7265875220ca598d9b59760007840e5c85adfc014a8c811a0b025d89a0816523befbc998f2c2e5cb2c1fe7a245d1083ea36a70ea2634985
+EBUILD dict2xml-1.7.4.ebuild 542 BLAKE2B 4d26e8b860a321621638cfd20967afc5e9fb70d0582043d8bde8de74957dd73f4a3a371a1848ed63f9d2142c257a86ea57300016b586dcc4ef6278aed9b0c169 SHA512 a4474f84f07b5ae17065db483813b66ed7b4806fe1d84b0dbc2ad8ee03276b012ca45787e915559291516818ae5d6aa5f4c87bbf22ee85d9502ec0c920ba2efa
MISC metadata.xml 483 BLAKE2B 590704cfc7c04bef7ac3b4b01677c743887a19c842597a81a12d374c0126ac4feb5ecf3ee6a1b2ee8bb866a2823ecd5e4c556f3ddf512bff00d047d40ee33929 SHA512 175a0080449e7a29aae0398303911acf868bc9a444eb2883d4cca071ac1daafda2ad352274c33516fe06f11ce8bdc029d1e277a8455a3819ff51650388ed11cd
diff --git a/dev-python/dict2xml/dict2xml-1.7.4.ebuild b/dev-python/dict2xml/dict2xml-1.7.4.ebuild
new file mode 100644
index 000000000000..b23f9330ef96
--- /dev/null
+++ b/dev-python/dict2xml/dict2xml-1.7.4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Small utility to convert a python dictionary into an XML string"
+HOMEPAGE="
+ https://github.com/delfick/python-dict2xml/
+ https://pypi.org/project/dict2xml/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# dict2xml uses noseOfYeti for its test, which is not yet available.
+RESTRICT="test"
+
+distutils_enable_tests pytest
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index da06ca252d07..52cbd808bcf0 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,7 +1,9 @@
DIST google-api-python-client-2.111.0.tar.gz 12461105 BLAKE2B 3aa1de35867fbf2287fc4f0aadf4dc77aeb62bc0d894bcaf546ca00e062de289c83a732298ad6b09927d60bb1e3ea47e0a20fb108e23cb7af222e67a6e45d464 SHA512 3eb9a4580c6b59dbd7dff1f0ca9f309e92d7f75ce6d3085833d96c72751212a47073ef2b322ad85bc2795e82c85b9b80593f18a7335cc7438b0acaa94cbf04f5
DIST google-api-python-client-2.112.0.tar.gz 12465562 BLAKE2B d29c22176fb3467c7df0d937baa954973437fc03862b56a370888fe014b24e3ec1b8b1c00b80251bcd039711340aea13bd21618f782ee4bd7c975c0820271630 SHA512 e9bbec1c27105cb772c1f059b5cf2f83cf44f1aa003149a509cac15c46d68c80edd2705aad597f31d98e31cb61396f0516ddc69b5041237d96246898c31329b4
DIST google-api-python-client-2.113.0.tar.gz 12473297 BLAKE2B 7799021db708008bbc1d91a11c543fd261af467d226b3bc6b9773878826ac8c2820961d30ed6f3c2abbbe0d9618ceb52eb350594d4d02325cc36e4f0ccc56861 SHA512 257d062de19849c4807cec249e1b7d13a60721ad58ff701affaecfd45253d2c83ddd79079478245c2df0c0f94b220070d342769f1dcfab1fb62f658970c0b317
+DIST google-api-python-client-2.114.0.tar.gz 11486137 BLAKE2B 69172e5db315f705d922eda5a093980c56e519cc2b808ed316962235ff20c5401971e1795a53b929bcf8c20c678058c6750d42b4f486214c9cd642e141862b8a SHA512 f39939ea64955488c1445713e649204252c413fbe9e58d2d4668b4f5042ef48853044cfd034b3e78a6cd6579bc09790a17663d92cf3d5274f0bea0cea284cdaa
EBUILD google-api-python-client-2.111.0.ebuild 1313 BLAKE2B 93f5dbf9054531a2a9275f71bd7732e16cc9b510302c00677a8b1d1092ec8d4f81cf119e67cf4b2f623763e722f36038cf28f373fe1990d635e38f17e87c1b54 SHA512 6316da593c211dae45147c5ba1cb6a65898da75668978dfe13fb6eaa9d3ff7bf6e35d01aa1cf0c3249b5e6c240cf5f23252223feefe40ec3e2d650103e340248
EBUILD google-api-python-client-2.112.0.ebuild 1316 BLAKE2B 437ad4346d43d1a71c6ca6537c57e42b7b50fc5bd71d69157abad0e24bda38d6f07ff192b146304a689a8040392a4ee5c50ad11da5b7f512cde4675502aea379 SHA512 4e68eed9dbadc5b5298b8d883d98ffd290fdbf96a0ed0ad8064751fe2823fc7c49117fb4676f09bbb9a1ebb72af43876023ec8b01729962256b477c0db839d0f
EBUILD google-api-python-client-2.113.0.ebuild 1316 BLAKE2B 437ad4346d43d1a71c6ca6537c57e42b7b50fc5bd71d69157abad0e24bda38d6f07ff192b146304a689a8040392a4ee5c50ad11da5b7f512cde4675502aea379 SHA512 4e68eed9dbadc5b5298b8d883d98ffd290fdbf96a0ed0ad8064751fe2823fc7c49117fb4676f09bbb9a1ebb72af43876023ec8b01729962256b477c0db839d0f
+EBUILD google-api-python-client-2.114.0.ebuild 1316 BLAKE2B 437ad4346d43d1a71c6ca6537c57e42b7b50fc5bd71d69157abad0e24bda38d6f07ff192b146304a689a8040392a4ee5c50ad11da5b7f512cde4675502aea379 SHA512 4e68eed9dbadc5b5298b8d883d98ffd290fdbf96a0ed0ad8064751fe2823fc7c49117fb4676f09bbb9a1ebb72af43876023ec8b01729962256b477c0db839d0f
MISC metadata.xml 538 BLAKE2B bf0b8ab3a89ce9ab1d2159f4c0ebfe3f2646aced20bd2006485510c12d22e83cc130fac979f699ae6431a610c8d2acf86c04b39bc262abaf167c20571a860810 SHA512 30d004d944055660165954f8475e57ba45cef56423c80a324118836d78e5376261409955155a40c9bd988f230f3e2fc44c6aeb6fae3028c78c55a382ccd83bff
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.114.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.114.0.ebuild
new file mode 100644
index 000000000000..c041dee86d3c
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.114.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 1dd369b52b23..d45551ba01f3 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -6,6 +6,7 @@ DIST hypothesis-6.92.8.gh.tar.gz 9412899 BLAKE2B 48bd1218f20260b983df4c75def1ad3
DIST hypothesis-6.92.9.gh.tar.gz 9413220 BLAKE2B 066b291fe6df2d14a15c77be63196c26d27764ba69c6de4a417a6117a770b3305d8ff981643e62776d8254a7e2248741d4c7da6489adcb1a0fb641776f3520ef SHA512 1e9e81963aaa23d4b6d2290cca4644498a10aadd6a2417511ac57466ee87ebc89cc3b34eb7367af131916b04304aa52c3f736a5557a7e757fda5d40af478332a
DIST hypothesis-6.93.0.gh.tar.gz 9413948 BLAKE2B 1cb75543757163b5ceffd4050f5eea9d1953f607f935af0ac290c56ccd48e62cfbfe6f124a4162c395c30f985dc7426bcc70d348c27dc515b89ca1a1b8fa2e95 SHA512 20f7727ef77cd961ed4368c4441dd1aa49495d19a4f486e84234360f0280f1f4b848915a19f0445b31c3f66b9f25e65a000dc147852bc2fa1ef42e35be31a0d7
DIST hypothesis-6.93.2.gh.tar.gz 9415414 BLAKE2B cbd0d0dd1cc737d6e8587c888b255220adffa5b15027767cede0a29abf7343d94259da45c772f00fb976a5dc0baba5c00761993cb9cc70fdfc7489c9c02d0ed1 SHA512 b981f2781bc5e2f7c7e340fee22fd5ab3869154488a70518dca7c179636fa906fe64ff706f828df09a42daad4d9640a037b534e657d601d0a78e059ac6ad146a
+DIST hypothesis-6.94.0.gh.tar.gz 9418907 BLAKE2B 856ab9b074e308cc61c8a5d030d7d7d9930cade0995b901e75638d1acd1ad4fc4b2afe87627c384cd63df6cb8bb84292c76cf3da6cf23dc8951c26f87a99d30e SHA512 f9056ffacfbfa722e5ed0fa6ba5a82053b6959826aab68f7b131cf4136107b581bbf78bf3691e935c76a514d8742bb9599fcc398fe4a2bfeadc2408da26976b4
EBUILD hypothesis-6.92.0.ebuild 2461 BLAKE2B fa15e027fc0501aa061b5a9c35a4c54279552f8b16ff0a74835528d13cdf50258f673fcff6f53e8b49cdcf9d11eb54780e6c48acb3318e8729b3e76b776ae422 SHA512 a1c518afe1d9ec2aeee8e84ef370e320696d05b2bf87daa164327c86f8154d4dd7d4b5964451d64f4de24519541986c2e2e54a240a63a9dc188e5e9f35ce9264
EBUILD hypothesis-6.92.2.ebuild 2469 BLAKE2B 79c1aad30d28529c6c63f3279f7d86bee6a9a327c5ed447597b15456dee3f8de8af7bba45a376616e3460602ffb349206019731de6c44f3248fe568a1457a2dc SHA512 e4f204ef4113ffb64222031ccd954b450ddae44fd049c633e51082d030785f53928447c47ae7a167b3bc091f263caab90054e40cffe01d070a7b98060b973324
EBUILD hypothesis-6.92.6.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
@@ -14,4 +15,5 @@ EBUILD hypothesis-6.92.8.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163
EBUILD hypothesis-6.92.9.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.93.0.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.93.2.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
+EBUILD hypothesis-6.94.0.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.94.0.ebuild b/dev-python/hypothesis/hypothesis-6.94.0.ebuild
new file mode 100644
index 000000000000..f7f366381e4f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.94.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index 32318ab22474..b4c68e66916a 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1,3 +1,5 @@
DIST ipykernel-6.28.0.tar.gz 157701 BLAKE2B 61b5415e6209cc83ea5f97f7a485489c5338539e711abab0358006835f0cff3d4d3a51b797eaaf44ef4666b225a0b64b9d135b9607a42dcb7d43a9bb38e9155d SHA512 81efbaafc48ad22b54719eebe7564d9d386407272b6c9bad34a2685ec73e1f831a2753251a7ff47c337becad272a39311f15faa7dac331e53272f3ccc975a860
+DIST ipykernel-6.29.0.tar.gz 160814 BLAKE2B 4f5c650fda125a477ae7f16fad07e968f0f31a97375159ff5d3917181f31ecac3a618927e492332e5d5f69321c43fad69daa4c9bdfc67acc3756775ef855ceec SHA512 f924d8c4471f04349e1c8d0b980f8759e55c37585a4a44e61ba01ed1b96e3aa3897ec6e953e91f8f881debf5e599ab95b679075dcd413e43b8ed0263e8c9ca44
EBUILD ipykernel-6.28.0.ebuild 2280 BLAKE2B 565255e043a9ca8f3351590af40d61c998c230776219123b36051fab599eae050a466f20ff34bf41d4b35b226b23840f6a2a8944e9064dcf2ad46c598c3e7c27 SHA512 07bec10896fe9d1c70a59c2bd7ee81d7d2a467b71ed6d0d81d9d36f61ae9ea6b1b1bb39ea0ae6b0abdcd1c8242574caff3e073387b114e55c2886ff40ed14d69
+EBUILD ipykernel-6.29.0.ebuild 2288 BLAKE2B fff9a832fcbef918aa035e643eb4694ae35feebcc6ead744ec948e7a81e44331c862858a21a6ec936c15e9f2971579c43743bb2038ec3f07d08d1558af91998f SHA512 6122a1a723ba44b7d56a744a2ac66a29022c7cf0fe1e6b6d1ff7ff378d1b09bacdf31ca02429030439c860d7e7313c78a574352d31cc9617651909c41facfb50
MISC metadata.xml 527 BLAKE2B 4a24cb9d5b801bf94c71c47d0c90b04bc249fb41a794c7b688a5762f08545d1fcfe9e4976aa4f583ecb456458b5f6dfc394349633959444584c0abad0da4be42 SHA512 ed9f0ef12ec5de67a646783243555f1737604a84c78c57b9f7c65137cec8cbc396991411501927f92bd393daad2238c27363ecc9c115031450231c2a4fb2cbb9
diff --git a/dev-python/ipykernel/ipykernel-6.29.0.ebuild b/dev-python/ipykernel/ipykernel-6.29.0.ebuild
new file mode 100644
index 000000000000..1bd0e3b093fe
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.29.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+ https://github.com/ipython/ipykernel/
+ https://pypi.org/project/ipykernel/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/comm-0.1.1[${PYTHON_USEDEP}]
+ !elibc_Darwin? (
+ $(python_gen_cond_dep '
+ >=dev-python/debugpy-1.6.5[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-client-8[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.12[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ dev-python/nest-asyncio[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-24[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.4.0[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
+
+src_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_debugger.py::test_attach_debug
+ tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+ tests/test_debugger.py::test_rich_inspect_at_breakpoint
+ tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+ tests/test_debugger.py::test_set_breakpoints
+ tests/test_debugger.py::test_stop_on_breakpoint
+ tests/test_debugger.py::test_copy_to_globals
+ # hangs?
+ tests/test_eventloop.py::test_tk_loop
+ # doesn't like pyside2?
+ tests/test_eventloop.py::test_qt_enable_gui
+ )
+
+ virtx distutils-r1_src_test
+}
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index 64483c18a4cf..69cc8dca93d6 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -1,5 +1,7 @@
DIST jsonschema-4.17.3.tar.gz 297785 BLAKE2B a0383bf5612ae50e94c95dbc1774d796b62c74a7aae3056a40edb7e042ad07fd7885e61d86220120a906a4017afe30d8ee8edbbf0cf01a6dec1f212984ff1c1e SHA512 626fc913c37d2e49e4b47c9e058aab4a96c1dc50c35d8def0b2ea0ca464dc25e3318d4fde4927c11ca38068743cd81779d5189464b821407ac1de1788bad30e2
DIST jsonschema-4.20.0.tar.gz 320243 BLAKE2B 7782665aa97d080a3ade9f0ed600d84602135ba80641c75d027f31f118432d206d5c61243e90a59aa134bce2fcf6bed6aed685bca9ad243178c78d3002d43b66 SHA512 916ce6e5a1cce19e52d34394797d59c4821a3e7abad0248d929a8d5975e8e5a2c0a270b2839d6e1800037a53d0ed8fd38ca44264a88653b5aaba1705d459cb47
+DIST jsonschema-4.21.0.tar.gz 321324 BLAKE2B 0c2bcf26fd9cb2c5ce86bb556a1312b861984373bde30e7dae42dce7711967e0e0f51b648cb2683786240c743f276ce81a4ef70fb66ab878e783602c77d903b2 SHA512 7467a1c70e587d32c2d196050b60f01a765a27ac0c97f4481c2c654381863911999e7b8f7592ec6ce24a92fb81f4de4ce5197652977a82ace5b75928a6c2334c
EBUILD jsonschema-4.17.3.ebuild 1467 BLAKE2B 3c5bd830b45ae3b82787c4a84f3853174bdfff7157db626b41804831214b1f2abf617c97a536d694f4f504a3e42a252eb4aadd4edeff9367a8a8e041896d8f61 SHA512 4c29c203e619ead4a220f3f3ded2b92f24292890c110caa0ffa5dd901d9d4ef4a8133533d85a2829304a20ab3825f85a70fd98517fe5dabf56a15a4be058a308
EBUILD jsonschema-4.20.0.ebuild 1571 BLAKE2B 94404a7db3eb6b9fedddc0508ca13a0bcb54edde3ecabdc1f5050778ff512547640ed869801152b01325b7500f03740b783fa0648e3bba03bd6232d931f96ef3 SHA512 376378bf30687850267ee3da38fb9c0985b894b7f03da6aba67f9e759c6f5931e4d67de4437052cbb6b54e9bf5fb7e4bb13fa4d660ed86a5f41f5937a1e1ef54
+EBUILD jsonschema-4.21.0.ebuild 1578 BLAKE2B 6a39cab87c3d90f6573da1e159cb31c4d9d14587f87f36c7e770291a7c9a18593793219f893adf2a9ece090a2d27db8ddf806abde2e90892a7c8836344e5108e SHA512 5cc10b381618249e6d93bedcbba724854d7f41a415e64c40d8d921b58911632ea1c328510e00b86f3baac09175778b1686f26602fa2f3588353a04badf56faca
MISC metadata.xml 705 BLAKE2B 731159cc340e6cbb15fe5a8d374188c8df685e8f8294d19af54ca3d209beb8c273b6e901b6b7fe75401324b8512ffb7f1870aefa8d4a139d1e3b84147d993af6 SHA512 1069fb33b2cf47d3dfd5e825b23ba1efa7d764d0d23aa009db522d04bc08362f5ca646411ec405cd33152a65ea8de2ea90d3dd6d4d4bf1a947ae7943e9d4c727
diff --git a/dev-python/jsonschema/jsonschema-4.21.0.ebuild b/dev-python/jsonschema/jsonschema-4.21.0.ebuild
new file mode 100644
index 000000000000..a7d67335f628
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.21.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema/
+ https://github.com/python-jsonschema/jsonschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-specifications-2023.03.6[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.4[${PYTHON_USEDEP}]
+ >=dev-python/rpds-py-0.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ test? (
+ !!dev-python/shiboken6
+ )
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uri-template[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires pip, does not make much sense for the users
+ jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
+ # fragile warning tests
+ jsonschema/tests/test_deprecations.py
+ # wtf?
+ jsonschema/tests/test_jsonschema_test_suite.py::test_suite_bug
+)
diff --git a/dev-python/jupyter-server/Manifest b/dev-python/jupyter-server/Manifest
index 908eb9b3c10e..39a52fc839c6 100644
--- a/dev-python/jupyter-server/Manifest
+++ b/dev-python/jupyter-server/Manifest
@@ -3,10 +3,12 @@ DIST jupyter_server-2.12.1.tar.gz 713271 BLAKE2B 4f65b1ed51dfa69921455a46a2a1e49
DIST jupyter_server-2.12.2.tar.gz 713700 BLAKE2B 37739ff282a40a1d49c8abe99987497a90803fe48205451ab1ccf731f4e694bbe70157d1444de34ff4f0bc1280a021e3b857c9968615e59964336d8fca8d973d SHA512 c43052bff91d245b942c0eec5cf435b1b2266f5a304844c2fe3bcf1dcef80cc91178b2789cc0634cafeab8cb67083a232bd1f433acb69cffd2c3026a56a264f1
DIST jupyter_server-2.12.3.tar.gz 713798 BLAKE2B f0bab746557247b20ea9b34c72b43d101dfacc4ab7799e76732a63b5d6088d2d523a52dbfc7324aeb7105de6804ceccd3d4c32f0dfadd8ba5ac18b60eabf9c3c SHA512 8c30cc86b6fcc8eb91174be55b0dee7733b8f446b2c5ccf17f3369f628cf059b33e534fe3b943e8697894ef90124c52973fd010bb005c65064c525699e8c1c43
DIST jupyter_server-2.12.4.tar.gz 713846 BLAKE2B f802474367b70663576c1fff87818db8559ce602ae5793aed3f85e720e0a5542d6cae2369726616d3e5a8233aa154b327432050ff99127c499608e36ed69bd07 SHA512 25c6d79342b4905c75465c0ce4a1e44b8fbdb1ff2d4f665739fac02e0bad31b5b0912d006f0cf530dded25bd93a816dc4e340d91bf2f2c0b846d0960a5d4a3ce
+DIST jupyter_server-2.12.5.tar.gz 713833 BLAKE2B f6e133a5f778d2abe9971a94db9c033fbfba587fc6265dbeed20f903cb1f1007b53f263c5674945e324dd15879e77ffab03f94c236d4ddbde00179af7ae71f94 SHA512 dd4fee86cfe82641dc9bbab2de93f65b45e78d56fad6d0a5ecdc442a4facc93aecbe90516200fa742f13d83039119640279efd4c42ff53a08786671c79d4a268
DIST jupyter_server-2.9.1.tar.gz 709013 BLAKE2B dee0de771bb8488cccaecb49e2b4a2003f2530243013cafa7f170384380423a7c190504baabf458c59ffece28c4f60662c0530f55535dae25699be269f159743 SHA512 148c3eaa4b6ca1147961c1188e0016a634e5adae350e762903bdde000acde7ab62507e71dbe1278c2b9358ce2cf1c28c17ea8b184f3d4a2d59277910b5b44965
EBUILD jupyter-server-2.12.1.ebuild 2330 BLAKE2B a05dea72d9ed2cd2d25a018dbd2b6c1acbb00fe0872430a7ae68484821de889b187e4813f8431807728fc9f5e89cf33e6e63b026067e1a4138bf44903343d7f9 SHA512 df5f250706b077d17e79cc2705389ffee674e23a26eb62c8029d2d1764cb2ff6530f7200457a682d304caaa739a9e374867e09f6b6b47737ba002064f4bb45b9
EBUILD jupyter-server-2.12.2.ebuild 2336 BLAKE2B 6ed26551adb95e644f1aaf936597667068b25d52e23d608f38b2f105d16d2341af20815219207f8a7abac740131dc211c80f60b4ec15881ee70bf8bb157e4e13 SHA512 50939cccfe5e4d4c50b18f3102544d14f00c646cc4677458134901e75e75c6aa75d71c0a21b15c9465ef03d154712119abe7d8c4f43b5130f6b27dcaa73c6a31
EBUILD jupyter-server-2.12.3.ebuild 2373 BLAKE2B 12cde81637a32b3f6aa087553aba50a4b4393e3340b436b491c6153b80756232ef26b0e82109baa822e555a2643833a66257d0687afc2adc4851229e88d9e767 SHA512 46492b7531710359d118be1be70bbdf0af56a034c5318c20b2b4bd2f5b48702301e943ab3e64ab77cbb0fbbe5fd662e792c8189263cfaad4480cd521a802f9f8
EBUILD jupyter-server-2.12.4.ebuild 2373 BLAKE2B 12cde81637a32b3f6aa087553aba50a4b4393e3340b436b491c6153b80756232ef26b0e82109baa822e555a2643833a66257d0687afc2adc4851229e88d9e767 SHA512 46492b7531710359d118be1be70bbdf0af56a034c5318c20b2b4bd2f5b48702301e943ab3e64ab77cbb0fbbe5fd662e792c8189263cfaad4480cd521a802f9f8
+EBUILD jupyter-server-2.12.5.ebuild 2373 BLAKE2B 12cde81637a32b3f6aa087553aba50a4b4393e3340b436b491c6153b80756232ef26b0e82109baa822e555a2643833a66257d0687afc2adc4851229e88d9e767 SHA512 46492b7531710359d118be1be70bbdf0af56a034c5318c20b2b4bd2f5b48702301e943ab3e64ab77cbb0fbbe5fd662e792c8189263cfaad4480cd521a802f9f8
EBUILD jupyter-server-2.9.1.ebuild 2317 BLAKE2B f3d17d7ced1e9f225cb9f7314b5cd0d277e057491bde4ac3fd9cc12d62de327f34ba1d5f1bffddec92ff3bd9177753aface88c3a65a9a5483b9a033bc293b440 SHA512 27493c867819f34f97bc18f357d7d09938eb01f084ce3b009fecd8634315d4a4d3301454eb6dd0d63354dc2904539ee9a064af82759aabafd52eac4625db1d6a
MISC metadata.xml 544 BLAKE2B ec5a0aea1d2ad6ce0e59972d2ef4ce62c03877d464dfdc34bcb94a7d01304c63761c6bc30ed973bba1f4100e25f70541bed4eea858deb44f359d0e373ae1ade0 SHA512 ffe7deb7349ce99890b902a225b73913185bfa860237dea8c1a508a6a5e84bbb74ca7a5c43253c9986f97fb3fd1e9f2bb63ca60f73953fcc851359df8adb5fbd
diff --git a/dev-python/jupyter-server/jupyter-server-2.12.5.ebuild b/dev-python/jupyter-server/jupyter-server-2.12.5.ebuild
new file mode 100644
index 000000000000..47b4d4c54c22
--- /dev/null
+++ b/dev-python/jupyter-server/jupyter-server-2.12.5.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core services, APIs, and REST endpoints to Jupyter web applications"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter-server/jupyter_server/
+ https://pypi.org/project/jupyter-server/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/anyio-3.1.0[${PYTHON_USEDEP}]
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-client-7.4.4[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-5.1.0[${PYTHON_USEDEP}]
+ dev-python/jupyter-server-terminals[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-events-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-6.4.4[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.3.0[${PYTHON_USEDEP}]
+ dev-python/overrides[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/prometheus-client[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-24[${PYTHON_USEDEP}]
+ >=dev-python/send2trash-1.8.2[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.6.0[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+
+"
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # This fails if your terminal is zsh (and maybe other non-bash as well?)
+ tests/test_terminal.py
+ # Fails because above is ignored
+ tests/auth/test_authorizer.py
+ # Fails with additional extensions installed
+ tests/extension/test_app.py::test_stop_extension
+ )
+
+ # FIXME: tests seem to be affected by previously installed version
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest \
+ -p pytest_tornasync.plugin \
+ -p jupyter_server.pytest_plugin \
+ -p pytest_console_scripts \
+ -p pytest_timeout \
+ -o tmp_path_retention_policy=all
+}
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index c95ce3f65a05..aab22f9a7861 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1,7 +1,9 @@
DIST nbconvert-7.13.1.tar.gz 851593 BLAKE2B aa9895257710b2e759c25f91723a69cdd1a4c27e7910c423ed8818497ae78d6a5896dc23333bc312a51d022d3de51a3afc0aecfc03e5ae9814dcea508b79e928 SHA512 33fd1bd41ea4b321875ac6a698b1bfd61e69ded672ee0e7ba4d1dd0a5bff7150f56f18f68212dd4a9e997c9642d83c237354fa8a5a62be492d8a292440cbc2d4
DIST nbconvert-7.14.0.tar.gz 851778 BLAKE2B dcad57a56b1d7070188eb864668e1a12f26fb45ad88b0c566b26bc262bef250559bc4e011280c792d82c614330f38816f5f8fc9c3035d5d218aff8c312b78df6 SHA512 140c335c1ad5fa8419f273d102e2f39179edadff96caaba78f3b87118ee7690dee2978981d972ddd06ed3a67182f7d24467f8d0ad44760d1f0d74a2f5dd7ac35
DIST nbconvert-7.14.1.tar.gz 852119 BLAKE2B 22248b507220e7fc71fca95a2d43646c9365adc89ec89c2f840705937f2715a070c2d509301cf9252fd0489e2041f0c6f1df38c928ed5e449a3674a2f1639873 SHA512 91e29460f746ad6a9db898e27de755c469ba0011d21737f2149d8475c9dcc4442178802b79f890424666d81108a416c1727eaf3de7db13370713ec9cd9b77262
+DIST nbconvert-7.14.2.tar.gz 852202 BLAKE2B 195a4f8088ec82d7fcb56b7450878d8e769027bedf64dec82adfb2683936400c74b62ceb2a24d47724584df0cfa0e9c773e53357b412eda0958aa2c4256cb3fd SHA512 79a91b2cacb50af8eb584668b070bf233de4cdf783fa0d9d256c2204de4a97efc5224088811b6f2b5f89015e4180a24da63c5b79a026b1966df157de325114cd
EBUILD nbconvert-7.13.1.ebuild 2392 BLAKE2B d50661b4074266d6dac01a5e26b7a32a995e00ad54157ca45ed0d6c225e176de4f9d01dce2edb51268f43f3f805c7998d5f951b83f0dc8754031577350659e49 SHA512 4c19ebb4e286c242800da3a3780bd6dca8e832d030d441f4bd76e49ae13ae068e204c5c0c80fa93ffdd51a2ca19b4d51ef5c1bbbc05128e4dd9ab8f2ce8dcf5c
EBUILD nbconvert-7.14.0.ebuild 2400 BLAKE2B 0fe5ee3cba06a2ebbbafa71b033c5cd64a14f18b8830644a4982eaa9def676b2d29511db3a91c6ed4d4d2879fc9fdb9925fc721510ea1aa92eaf0c781bb7305f SHA512 69d42b858bef1beefc62e7eab3a599e104d851a006fc3214fd381c734e2e56b1cfc8f5945ac03c4f4431c051a284eceecb59912282fe77d2496b0b61a8791d08
EBUILD nbconvert-7.14.1.ebuild 2155 BLAKE2B edb577b81b84f063690f5c8243a558c5964acc154f056883c9c70320c99f61fef3c3ca97c1373acac0129ce0bf1dd639538b179cc97416b71df57551935f03e6 SHA512 1158f3b3cfe7f77dc939abb399cf36e79fbf99623ff333ec541f6ac3371247ccacc5a0a9c3ff1f6dd1cab4a529395a61e9ffe190e7d56610d1cd408378e60585
+EBUILD nbconvert-7.14.2.ebuild 2155 BLAKE2B edb577b81b84f063690f5c8243a558c5964acc154f056883c9c70320c99f61fef3c3ca97c1373acac0129ce0bf1dd639538b179cc97416b71df57551935f03e6 SHA512 1158f3b3cfe7f77dc939abb399cf36e79fbf99623ff333ec541f6ac3371247ccacc5a0a9c3ff1f6dd1cab4a529395a61e9ffe190e7d56610d1cd408378e60585
MISC metadata.xml 527 BLAKE2B a915103b3eaf57236f4257c98354a1e3733771369ac825fa8bbc4f79f0d1a23272dc86e744513620fbee37792e813a15dbb955e633a7c57597c3c38657ed05d3 SHA512 b60a311ce52915dbc12addd4a882670ac96ff8b3be2aa651eaac3d0963d6e73a72eaafd53f90fb685599504857e6bcd0568071962d7696c2605462b77260ad6a
diff --git a/dev-python/nbconvert/nbconvert-7.14.2.ebuild b/dev-python/nbconvert/nbconvert-7.14.2.ebuild
new file mode 100644
index 000000000000..0e4d228d0bea
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.14.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+ https://nbconvert.readthedocs.io/
+ https://github.com/jupyter/nbconvert/
+ https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+ dev-python/jupyterlab-pygments[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+ <dev-python/mistune-4[${PYTHON_USEDEP}]
+ >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.7[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7.5[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+ # crazy qtweb* stuff, perhaps permissions
+ tests/exporters/test_qtpdf.py::TestQtPDFExporter::test_export
+ tests/exporters/test_qtpng.py::TestQtPNGExporter::test_export
+ )
+
+ # virtx implies nonfatal, make it explicit to avoid confusion
+ nonfatal epytest || die
+}
+
+pkg_postinst() {
+ if ! has_version virtual/pandoc; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc or app-text/pandoc-bin."
+ fi
+}
diff --git a/dev-python/sphinxcontrib-apidoc/Manifest b/dev-python/sphinxcontrib-apidoc/Manifest
index 5b31248e4de7..8bddfb85c9d1 100644
--- a/dev-python/sphinxcontrib-apidoc/Manifest
+++ b/dev-python/sphinxcontrib-apidoc/Manifest
@@ -1,3 +1,5 @@
DIST sphinxcontrib-apidoc-0.4.0.tar.gz 15958 BLAKE2B 9cd806eb36cd2aa35c797b35e8e699c4a918e8e3d19e36ea9d79eb73dfce301a24ee33bc647ba180283837488aa00628b4882d08c3d492b196a4f663cad26f48 SHA512 1e33fd6df91adfb65ea511fe5ee55ccff9a237488cca406f46b33a2bf8eb69b884b274e9c94bfd868fef67b2e0dfbb19f5e2d62486c54a85755a9034ca5c715c
+DIST sphinxcontrib-apidoc-0.5.0.tar.gz 16117 BLAKE2B f486cfdf2cbf74c2ac35e688671f64d7e8a8d5b30c5e932036d1dcb2c58bd32b4bfeb14680311cf3dd1345b0548b0b083a1d30a667f934c08a2c2e431bdc2cdc SHA512 36858dab0915f4aac48b2bab1aeea830e35e1e865ff5f4726df0c9f9c2917d450ed1e27b1db9d143fade09369201b1b6b72f0264e674130f62a67df494c8f646
EBUILD sphinxcontrib-apidoc-0.4.0.ebuild 817 BLAKE2B 82777be0ffebd8203f9819f71854a18a480e985a30f2fad36d3f93bf0fdf5144bea75bd0698c5a076a8d50d5d6d906f0f059990f03eb016cb89431913e4d5c8b SHA512 8c21d12752296514ab3b41ad615e9ae97922bc0177961c45997aedeaf905753547f3f5712aa10741770bac50b8ed5e9868ca5b5dfab9e5daa6acbbd30d3eadf7
+EBUILD sphinxcontrib-apidoc-0.5.0.ebuild 817 BLAKE2B d0d7bd964ea39e9c6e0e18558d14d27c8f823c84447002a4b0c22048f2641b67119b45527e68b3e64bbb1f3bb8b62a06bc3c13f4195eea5be87854e39a9bd79f SHA512 0ffed8fedb744b1a1bfcbdc092627ea261a871107174f4796fbc13b792962f6af991249da85b2297692c65498c1c18066829fa721a34ec4490b39322302b23c6
MISC metadata.xml 409 BLAKE2B 4a1905b020761f1b3e3ffa69e80ca1fc04cb1e9b8fabff5bb92e8f0d95b1d1e47c5bfb337bfe61d6cd0fd5963971370c20ebc751809f218da66b0f30df6c23eb SHA512 832d5ea299a022f6cc60557f5fb433c72a83026cf3b997ca2fd43c278d86e84afdc39db12fbce0811846b44f65ed09397e0b5adcb9221f780d8c98b51b22bbd7
diff --git a/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.5.0.ebuild b/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.5.0.ebuild
new file mode 100644
index 000000000000..dee8f92fc9bd
--- /dev/null
+++ b/dev-python/sphinxcontrib-apidoc/sphinxcontrib-apidoc-0.5.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extension for running sphinx-apidoc on each build"
+HOMEPAGE="
+ https://pypi.org/project/sphinxcontrib-apidoc/
+ https://github.com/sphinx-contrib/apidoc/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${BDEPEND}
+ >=dev-python/sphinx-5.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ distutils_write_namespace sphinxcontrib
+ cd "${T}" || die
+ epytest "${S}"/tests
+}